When dragging a window across screens, the mouse gets 'stuck'

Bug #926791 reported by Chris Johnston on 2012-02-04
40
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Unity
Confirmed
Undecided
Unassigned
unity (Ubuntu)
High
Unassigned

Bug Description

I'm running 5.2 with two monitors. When the mouse is moved between the two monitors, the mouse pauses and the Unity launcher comes up. This is as expected in 5.2. But what I have noticed is that when dragging a window between the two monitors, the mouse pauses, and the Unity launcher still comes up. In fact, some times, the mouse seems to get stuck and will not leave the "Unity pause" and I have to let go of the window and try again. While the pause works well when not dragging a window, while dragging a window this is a major inconvenience.

--------------------------
Desired solution:

See comment #3 below. If the mouse is getting stuck due to a technical bug this issue needs to be fixed, however this should not be confused with the designed multi-monitor "edge-stop" behaviour.

The unwanted launcher reveal will be fixed by bug #928805

The inconsistency in the "edge-stop" behaviour will be fixed by bug #931384

Removing project 'ayatana-design' in case this is a technical bug. If it is not a technical bug it should be marked 'invalid'.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.2.0~+bzr1885ubuntu0+626
ProcVersionSignature: Ubuntu 3.2.0-12.21-generic 3.2.2
Uname: Linux 3.2.0-12-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 290.10 Wed Nov 16 17:39:29 PST 2011
 GCC version: gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-12ubuntu1)
.tmp.unity.support.test.0:

ApportVersion: 1.91-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,mousepoll,imgpng,move,grid,vpswitch,gnomecompat,place,snap,resize,regex,wall,animation,expo,fade,session,workarounds,scale,ezoom,unityshell]
CompositorRunning: compiz
CurrentDmesg: [ 33.821296] eth0: no IPv6 routers present
Date: Sat Feb 4 12:59:24 2012
DistUpgraded: Log time: 2012-01-24 11:24:22.345452
DistroCodename: precise
DistroVariant: ubuntu
GraphicsCard:
 NVIDIA Corporation G84 [GeForce 8600 GT] [10de:0402] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: NVIDIA Corporation Device [10de:0505]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
JockeyStatus:
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
MachineType: Dell Inc. Inspiron 530
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-12-generic root=UUID=564d609d-9648-4288-a056-66af3a27bee3 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to precise on 2012-02-02 (1 days ago)
dmi.bios.date: 02/24/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.0.18
dmi.board.name: 0FM586
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: OEM
dmi.modalias: dmi:bvnDellInc.:bvr1.0.18:bd02/24/2009:svnDellInc.:pnInspiron530:pvr:rvnDellInc.:rn0FM586:rvr:cvnDellInc.:ct3:cvrOEM:
dmi.product.name: Inspiron 530
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu8
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu4
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.3-0ubuntu9
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901-1ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Chris Johnston (cjohnston) wrote :
visibility: public → private
Bilal Akhtar (bilalakhtar) wrote :

Attachments look good to go public.

visibility: private → public
tags: added: needs-design
Changed in unity (Ubuntu):
status: New → Incomplete
Changed in unity:
status: New → Incomplete
Bryce Harrington (bryce) on 2012-02-09
Changed in unity (Ubuntu):
importance: Undecided → High
Bryce Harrington (bryce) on 2012-02-09
Changed in unity (Ubuntu):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
Bryce Harrington (bryce) on 2012-02-14
description: updated
Stewart Wilson (stewartw) wrote :

The correct behaviour here is to disable the launcher reveal when dragging windows across display edges. However, the mouse cursor should still be held briefly at the left and right edges, when travelling below the threshold velocity for cursor holds.

There are two holds at the display edge to overcome when travelling from right to left, the first to trigger the launcher reveal, and the second which allows the mouse to pass the edge. This second hold is also present when moving from left to right, to support targeting items near the edges of the display. For full details, please refer to the section Launcher-Targeting the Launcher in the multi-monitor spec:
https://docs.google.com/a/canonical.com/document/d/1aHvJ-iIw-59bXTYBmIhQqEx0za2h9jpFE_RhZ2VOvJc/edit?pli=1#bookmark=id.cnyokdebno5y

When dragging a window, this cursor hold makes it easier to achieve semi-maximised window states on the shared edges between displays, and feels much lighter when not combined with the initial launcher reveal hold.

This is similar to the following bug:
https://bugs.launchpad.net/ubuntu/+source/unity/+bug/928805
These bugs have not been marked as duplicates because of the mention of the mouse getting stuck here, requiring the user to drop the window and restart the drag.

John Lea (johnlea) on 2012-02-14
description: updated
no longer affects: ayatana-design
Omer Akram (om26er) on 2012-02-14
Changed in unity:
status: Incomplete → Confirmed
Changed in unity (Ubuntu):
status: Incomplete → Confirmed
John Lea (johnlea) on 2012-04-11
Changed in unity:
assignee: nobody → Jason Smith (jassmith)

I'm using multiple monitors and my mouse pointer frequently gets stuck while moving between the monitors. It's very fustrating and irritating behaviour. I'm guessing that there is a threshold cursor speed at which the pointer stops if it is below it. Could you add the ability to change this speed or at-least change the threshold so that the cursor has to be moving even slower before it will stop? It's hard to believe that this feature has been usability tested because it is a constant irritation for me .

I could maybe understand it if it only acted when a window was being moved as to allow it to be snapped to either half of the screen. What is the point in enabling this Edge-snap feature when the mouse is just being moved and is not dragging something? What is the purpose of it?

Omer Akram (om26er) wrote :

disable the sticky edges option on control center and the issue should be fixed for you.

Changed in unity (Ubuntu):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → nobody
Changed in unity:
assignee: Jason Smith (jassmith) → nobody
Chris Johnston (cjohnston) wrote :

That's a workaround, not a fix. I have noticed since I upgraded to Quantal that it is a little easier, but it still isn't great. I use a trackball and have to almost a full spin of the ball to get my windows to go from one screen to another.. That seems much too hard.

Omer Akram (om26er) wrote :

the change in bug 987787 might also help

Daniel van Vugt (vanvugt) wrote :

Unfortunately the workaround doesn't always work -> bug 990032.

This bug will be solved by the combination of bug 987787 and bug 990032. So I'm going to make it a duplicate of bug 987787.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints